org.gradle.language.base

## Interface Binary

- All Superinterfaces:
    Buildable, BuildableModelElement, Named
  All Known Subinterfaces:
    ClassDirectoryBinary, ExecutableBinary, LibraryBinary, NativeBinary, SharedLibraryBinary, StaticLibraryBinary

      @Incubating
      public interface Binary
      extends BuildableModelElement, Named

  A physical binary artifact, which can run on a particular platform or runtime.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.base.BuildableModelElement

      `builtBy, setLifecycleTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`